Name:           python-module-EnvisagePlugins
Version:        3.2.1
Release:        alt1.svn20110127
Summary:        Plug-ins for the Envisage framework

Group:          Development/Python
License:        BSD or CC-BY-SA or Python or LGPLv2+
URL:            http://pypi.python.org/pypi/EnvisagePlugins
# https://svn.enthought.com/svn/enthought/EnvisagePlugins
Source:        EnvisagePlugins-%version.tar.gz
Packager: Eugeny A. Rostovtsev (REAL) <real at altlinux.org>

BuildArch:      noarch
BuildRequires:  python-module-setuptools, python-devel
BuildPreReq: python-module-setupdocs
Requires:       python-module-EnvisageCore

%description
The EnvisagePlugins project includes a number of plug-ins for the
Envisage framework that Enthought has found useful for building
scientific applications.

%package examples
Summary: Examples for plug-ins for the Envisage framework
Group: Development/Documentation
BuildArch: noarch

%description examples
The EnvisagePlugins project includes a number of plug-ins for the
Envisage framework that Enthought has found useful for building
scientific applications.

This package contains examples for EnvisagePlugins.

%package tests
Summary: Tests for plug-ins for the Envisage framework
Group: Development/Python
Requires: %name = %version-%release

%description tests
The EnvisagePlugins project includes a number of plug-ins for the
Envisage framework that Enthought has found useful for building
scientific applications.

This package contains tests for EnvisagePlugins.

%prep
%setup -n EnvisagePlugins-%version
rm -rf EnvisagePlugins.egg-info
sed -i 's/\r//' image_LICENSE.txt

%build
%python_build

%install
%python_install
#sed -i 's|\.dev$||' \
#	%buildroot/%python_sitelibdir/EnvisagePlugins-%version-*.egg-info/requires.txt
install -p -m 644 enthought/envisage/ui/workbench/preferences.ini \
	%buildroot/%python_sitelibdir/enthought/envisage/ui/workbench/

%files
%doc *.txt
%python_sitelibdir/*
%exclude %python_sitelibdir/*/*/*/*/tests

%files examples
%doc examples

%files tests
%python_sitelibdir/*/*/*/*/tests

%changelog
* Fri Apr 15 2011 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 3.2.1-alt1.svn20110127
- Version 3.2.1

* Mon Nov 15 2010 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 3.1.4-alt1.svn20101101
- Version 3.1.4

* Mon Jul 26 2010 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 3.1.3-alt1.svn20100719
- New snapshot

* Sat Mar 06 2010 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 3.1.3-alt1.svn20100225
- Version 3.1.3
- Extracted examples into separate package

* Mon Jan 04 2010 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 3.1.2-alt1.svn20090908.2
- Rebuilt with new NumPy

* Wed Nov 18 2009 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 3.1.2-alt1.svn20090908.1
- Rebuilt with python 2.6

* Tue Oct 06 2009 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 3.1.2-alt1.svn20090908
- Version 3.1.2

* Fri Oct 02 2009 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 3.1.1-alt2
- Fixed versions of requirements

* Thu Oct 01 2009 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 3.1.1-alt1
- Initial build for Sisyphus (thnx Valery Pipin)

* Fri Jun 12 2009 Rakesh Pandit <rakesh@fedoraproject.org> 3.1.0-1
- Updated

* Tue Jan 27 2009 Rakesh Pandit <rakesh@fedoraproject.org> 3.0.1-1
- Initial package
